aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/Makefile.am1
-rwxr-xr-xscripts/man-dates.sh12
2 files changed, 13 insertions, 0 deletions
diff --git a/scripts/Makefile.am b/scripts/Makefile.am
index de0d4795d..18a9449cf 100644
--- a/scripts/Makefile.am
+++ b/scripts/Makefile.am
@@ -15,6 +15,7 @@ EXTRA_DIST = \
enum-extract.pl \
kmodtool \
make_gitrev.sh \
+ man-dates.sh \
paxcheck.sh \
zfs2zol-patch.sed \
cstyle.pl
diff --git a/scripts/man-dates.sh b/scripts/man-dates.sh
new file mode 100755
index 000000000..186d94639
--- /dev/null
+++ b/scripts/man-dates.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# This script updates the date lines in the man pages to the date of the last
+# commit to that file.
+
+set -eu
+
+find man -type f | while read -r i ; do
+ git_date=$(git log -1 --date=short --format="%ad" -- "$i")
+ [ "x$git_date" = "x" ] && continue
+ sed -i "s|^\.Dd.*|.Dd $(date -d "$git_date" "+%B %-d, %Y")|" "$i"
+done